.posts {
	padding-top: 66px;
}

.posts-wrapper {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	column-gap: 25px;
	row-gap: 32px;
	padding-bottom: 69px;
}
.section-title {
	@include section-title;
}
.post-element {
	@include flex($horizontal: flex-start);
	&__img {
		padding-right: 21px;
	}
	&__title {
		font-weight: bold;
		font-size: 16px;
		line-height: 30px;
		color: #4e4e4e;
	}
	&__subtitle {
		font-size: 12px;
		line-height: 20px;
		color: #7c7c7c;
	}
	&__text {
		font-size: 14px;
		line-height: 26px;
		color: #5c5c5c;
	}
}
.section-subtitle {
	@extend .section-title;
	font-size: 13px;
	line-height: 22px;
}
.instagram {
	background: #f2f2f2;
}
.instagram-titles {
	@include flex($horizontal: space-between);
	padding-top: 47px;
}
.instagram-photos {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(285px, 1fr));
	column-gap: 10px;
	&__img {
		padding-bottom: 49px;
	}
}

@media (max-width: 768px) {
	.posts-wrapper {
		display: grid;
		grid-template-columns: repeat(1, 1fr);
		row-gap: 33px;
	}
	.post-element__text-wrapper {
		width: 404px;
	}
	.instagram-photos {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(200px, 3fr));
		gap: 10px;
		&__img {
			width: 100%;
		}
		&__img:last-child {
			display: none;
		}
	}
}

@media (max-width: 320px) {
	.posts-wrapper {
		display: grid;
		grid-template-columns: repeat(auto-fit (1, 1fr));
	}
	.post-element {
		display: flex;
		flex-wrap: wrap;
		max-width: 262px;
	}
	.post-element__img {
		padding-right: 0px;
	}
	.post-element:last-child {
		display: none;
	}
	.post-element__title {
		font-size: 14px;
		padding-top: 11px;
	}
	.post-element__subtitle {
		font-size: 11px;
	}
	.post-element__text {
		display: none;
	}
	.section-subtitle {
		display: none;
	}
	.instagram-photos {
		&__img {
			display: none;
		}
		&__img:first-child {
			display: block;
			max-width: 100%;
		}
	}
}
